NAME
OpenAPI::Client::OpenAI::Path::organization-projects-project_id-hosted_tool_permissions - Documentation for the /organization/projects/{project_id}/hosted_tool_permissions path.
OPERATIONS
GET /organization/projects/{project_id}/hosted_tool_permissions
retrieve-project-hosted-tool-permissions
$client->retrieve_project_hosted_tool_permissions({
body => { ... },
});
Returns hosted tool permissions for a project.
Path/query parameters
project_id(in path, required, string) - The ID of the project.
Responses
200 - Project hosted tool permissions retrieved successfully.
Content-Type: application/json
Example:
{
"code_interpreter" : {
"enabled" : true
},
"file_search" : {
"enabled" : true
},
"image_generation" : {
"enabled" : true
},
"mcp" : {
"enabled" : true
},
"web_search" : {
"enabled" : true
}
}
POST /organization/projects/{project_id}/hosted_tool_permissions
update-project-hosted-tool-permissions
$client->update_project_hosted_tool_permissions({
body => { ... },
});
Updates hosted tool permissions for a project.
Path/query parameters
project_id(in path, required, string) - The ID of the project.
Responses
200 - Project hosted tool permissions updated successfully.
Content-Type: application/json
Example:
{
"code_interpreter" : {
"enabled" : true
},
"file_search" : {
"enabled" : true
},
"image_generation" : {
"enabled" : true
},
"mcp" : {
"enabled" : true
},
"web_search" : {
"enabled" : true
}
}
SCHEMAS
HostedToolPermission
Properties:
enabled(boolean, required) - Whether the hosted tool is enabled for the project.
ProjectHostedToolPermissions
Properties:
code_interpreter(HostedToolPermission, required)See "HostedToolPermission" below for shape.
file_search(HostedToolPermission, required)See "HostedToolPermission" below for shape.
image_generation(HostedToolPermission, required)See "HostedToolPermission" below for shape.
mcp(HostedToolPermission, required)See "HostedToolPermission" below for shape.
web_search(HostedToolPermission, required)See "HostedToolPermission" below for shape.
ProjectHostedToolPermissionsUpdateRequest
Properties:
code_interpreter(anyOf) - The code interpreter permission update.file_search(anyOf) - The file search permission update.image_generation(anyOf) - The image generation permission update.mcp(anyOf) - The MCP permission update.web_search(anyOf) - The web search permission update.
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.